package labss.lang.il.model.impl;

import labss.lang.il.model.Statement;
import labss.lang.il.visitors.ILVisitor;

public class Block implements Statement {
	private Statement[] statements;

	protected Block(Statement... statements) {
		this.statements = statements;
	}

	public Statement[] getStatements() {
		return statements;
	}

	public void setStatements(Statement... statements) {
		this.statements = statements;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}