package labss.lang.il.model.impl;

import labss.lang.il.model.*;

public abstract class ConditionalStatement implements Statement {
	protected ConditionalStatement(Expression condition, Statement trueBody) {
		this.condition = condition;
		this.trueBody = trueBody;
	}

	private Expression condition;
	public Expression getCondition() {
		return condition;
	}
	public void setCondition(Expression condition) {
		this.condition = condition;
	}

	private Statement trueBody;
	public Statement getTrueBody() {
		return trueBody;
	}
	public void setTrueBody(Statement trueBody) {
		this.trueBody = trueBody;
	}
}
