package labss.il.lab;

import java.io.PrintStream;

public class MyPrettyPrintVisitor implements MyVisitor {
	private PrintStream out;
	
	public MyPrettyPrintVisitor(PrintStream out) {
		this.out = out;
	}

	public static void prettyPrint(MyEntity program, PrintStream out) {
		program.accept(new MyPrettyPrintVisitor(out));
	}

	public void visitWhile(MyWhile while1) {
		out.print("while (");
		while1.getExp().accept(this);
		out.println(") {");
		while1.getStm().accept(this);
		out.println("}");
	}

}
