package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.Statement;
import labss.lang.il.visitors.ILVisitor;

public class Assignment implements Statement {
	private Variable variable;
	private Expression expression;

	protected Assignment(Variable variable, Expression expression) {
		this.variable = variable;
		this.expression = expression;
	}

	public Variable getVariable() {
		return variable;
	}

	public void setVariable(Expression variable) {
		this.variable = (Variable) variable;
	}

	public Expression getExpression() {
		return expression;
	}

	public void setExpression(Expression expression) {
		this.expression = expression;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}