package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.model.Statement;
import labss.lang.il.visitors.ILVisitor;

public class IfElse extends ConditionalStatement {
	private Statement falseBody;

	protected IfElse(Expression condition, Statement trueBody, Statement elseStm) {
		super(condition, trueBody);
		this.falseBody = elseStm;
	}

	public Statement getFalseBody() {
		return falseBody;
	}

	public void setFalseBody(Statement falseBody) {
		this.falseBody = falseBody;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}