package labss.lang.il.model.impl;

import labss.lang.il.visitors.ILVisitor;


public class Int extends AbstractLiteral {
	private int val;

	protected Int(int val) {
		this.val = val;
	}

	public int getVal() {
		return val;
	}

	public void setVal(int val) {
		this.val = val;
	}

	public int intValue() {
		return val;
	}

	public String toString() {
		return String.valueOf(val);
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}