package labss.lang.il.model.impl;

import labss.lang.il.model.Expression;
import labss.lang.il.visitors.ILVisitor;

public class Variable implements Expression {
	private String name;

	protected Variable(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void accept(ILVisitor visitor) {
		visitor.visit(this);
	}
}