package labss.lang.il.visitors;

import labss.lang.il.model.impl.*;

public interface ILVisitor {
	public void visit(While stm);
	public void visit(If stm);
	public void visit(IfElse stm);
	public void visit(Empty stm);
	public void visit(Assignment stm);
	public void visit(Block stm);

	public void visit(Bool exp);
	public void visit(Int exp);

	public void visit(Variable exp);

	public void visit(Addition exp);
	public void visit(Subtraction exp);
	public void visit(Multiplication exp);
	public void visit(Division exp);

	public void visit(Equals exp);
	public void visit(GreaterThan exp);
	public void visit(LessThan exp);

	public void visit(And exp);
	public void visit(Or exp);
	public void visit(Not exp);
}
