package labss.lang.il.visitors;

import java.io.PrintStream;

public class TabIndentationStrategy implements IndentationStrategy {
	private StringBuilder indentationStringBuilder = new StringBuilder();

	public void printIndentation(PrintStream out) {
		out.print(indentationStringBuilder);
	}

	public void startIndentationPart(Kind kind) {
		indentationStringBuilder.append('\t');
	}
	public void endIndentationPart() {
		indentationStringBuilder.deleteCharAt(indentationStringBuilder.length()-1);
	}
}
